require( "upsellstyle.lua" );

Game1Graphics = {
	"", 
	"upsell/dreamupsell_button01", 
	"upsell/dreamupsell_button01"
};

Game2Graphics = {
	"", 
	"upsell/dreamupsell_button02", 
	"upsell/dreamupsell_button02"
};

Game3Graphics = {
	"", 
	"upsell/dreamupsell_button03", 
	"upsell/dreamupsell_button03"
};

MakeDialog
{
	name='upselldialog',
	XSellWindow
	{
		x=0,y=0,w=kMax,h=kMax,
		autoexpand=true,
		config='upsell/upsell.xml',
		Bitmap
		{
			name="backgroundimage",
			image="upsell/dreamupsell_bg.jpg",
			x=0,y=0,w=kMax,h=kMax,
			autoscale=true,
			
			Window
			{
				x = kCenter, y = kCenter,
				w = kMax, h = kMax,
	
				Button
				{
					x = 43, y = 217,
					name = "upsellbutton1",
					graphics = Game1Graphics,
					command = 
						function()
							LaunchGameLink(1);
						end
				};
				
				
				Button
				{
					x = 365, y = 326,
					name = "upsellbutton2",
					graphics = Game2Graphics,
					command = 
						function()
							LaunchGameLink(2);
						end
				};
				
					
				Button
				{
					x = 685, y = 217,
					name = "upsellbutton3",
					graphics = Game3Graphics,
					command = 
						function()
							LaunchGameLink(3);
						end
				};
				
				SetStyle(style_normal_button),
		
				Button {
					x = kCenter - 2, y = - 116,
					name = "upsell_back",
					label = "back",
					close = true,
					default = true,
					cancel = true,
				},
			},		
		},
	},
};

SetupXSell();